export declare class ValidationError extends Error {
    /** List of invalidations for the field. */
    errors: ValidationError[];
    /** Object path for the invalid field. */
    path: string;
    /** Field value at time of failure. */
    value: unknown;
    /** Whether an original message was provided through the constructor. */
    hasOriginalMessage: boolean;
    /** Whether a "Invalid path" message was prepended to the original message. */
    hasPathPrefix: boolean;
    constructor(message: Error[] | string, path?: string, value?: unknown);
    addErrors(errors: Error[]): this;
}
//# sourceMappingURL=ValidationError.d.ts.map