import { AnySchema, InferSchemaType, Predicate } from './types';
/**
 * Create a reusable predicate from a schema that validates a value to
 * return a boolean if no validation errors arise. If null or undefined
 * is returned, will return `false`, regardless of nullable or undefinable
 * state.
 */
export declare function createPredicate<S extends AnySchema, T = InferSchemaType<S>>(schema: S): Predicate<T>;
//# sourceMappingURL=createPredicate.d.ts.map