import { AnySchema, Criteria, CriteriaFactory, InferSchemaType, SchemaOptions } from './types';
/**
 * Create a custom schema with a defined list of criteria.
 * When a value is being validated, all chained criteria will be ran
 * to test for failures. If no failures, a type casted value is returned.
 */
export declare function createSchema<S extends AnySchema, T = InferSchemaType<S>>({ api, cast, defaultValue, type }: SchemaOptions<T>, criteria?: (Criteria<T> | CriteriaFactory<T>)[]): S;
//# sourceMappingURL=createSchema.d.ts.map